curl --request GET \
--url https://api.anam.ai/v1/avatar-videos/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/avatar-videos/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/avatar-videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anam.ai/v1/avatar-videos/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anam.ai/v1/avatar-videos/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anam.ai/v1/avatar-videos/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anam.ai/v1/avatar-videos/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "avv_123",
"status": "pending",
"truncated": true,
"effectiveMaxDurationSeconds": 123,
"region": "eu",
"zeroDataRetention": true,
"content": {
"available": true,
"deleteAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {},
"completionReason": "script_completed",
"durationSeconds": 123,
"sessionId": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"retryOf": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}get avatar video
Returns authoritative job state and a fresh one-hour recording URL when the canonical replay is ready. A read also reconciles late recordings.
curl --request GET \
--url https://api.anam.ai/v1/avatar-videos/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/avatar-videos/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/avatar-videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anam.ai/v1/avatar-videos/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anam.ai/v1/avatar-videos/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anam.ai/v1/avatar-videos/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anam.ai/v1/avatar-videos/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "avv_123",
"status": "pending",
"truncated": true,
"effectiveMaxDurationSeconds": 123,
"region": "eu",
"zeroDataRetention": true,
"content": {
"available": true,
"deleteAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {},
"completionReason": "script_completed",
"durationSeconds": 123,
"sessionId": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"retryOf": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Avatar video resource
"avv_123"
pending, running, finalizing, completed, failed, cancelled Region the job is pinned to: eu when created on api.eu.anam.ai, us when created on api.us.anam.ai. Its session, recording and retries stay in that region. Null when created on api.anam.ai.
eu, us, null Whether the job runs with Zero Data Retention, which keeps its script, and a direct request's style prompts, out of Lab's database. A persona-sourced job's director notes stay in its stored persona. Always true for a job created on a regional host.
Show child attributes
Show child attributes
script_completed, max_duration_reached, cancelled, null Underlying normal EngineSession ID. Use its recording deletion endpoint for deletion.
Show child attributes
Show child attributes
Was this page helpful?

